<b><u>Building block: Energy Relevant Data Guideline</u></b>

Lorem Ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.

######

## #2 Optimierung der Betriebsparameter
### Kategorie: Fertigungssysteme
### Beschreibung:
Die Einstellung von Betriebsparametern kann einen erheblichen Einfluss auf die Energie- und Ressourceneffizienz eines Prozesses haben. Durch die Analyse von Daten aus Produktionsläufen lassen sich Zusammenhänge zwischen Energie- und Ressourcenverbrauch, Produktionsqualität und den verschiedenen Parametern ermitteln. Bei Prozessen mit wenigen Parametern ist dies mit einfachen statistischen Analysen recht einfach möglich, während bei komplexen Prozessen mit vielen Parametern fortgeschrittenere Analysen, zum Beispiel mit maschinellem Lernen, erforderlich sind, um Zusammenhänge zu ermitteln. Sobald diese Zusammenhänge bekannt sind, können die Parameter mit dem Ziel optimiert werden, den Energie- und Ressourcenverbrauch bei gleichbleibender Qualität zu minimieren. 

### Typische Voraussetzungen
* Messungen aller (oder der meisten) Prozessparameter
* Daten zur Qualität der Ergebnisse oder andere Erfolgskriterien (z. B. Zusammensetzung, Materialeigenschaften, Gewicht, Stabilität usw.)

### Typische Ergebnisse
* Weniger Energie oder Ressourcen verbraucht
* Qualität erhalten

### Anwendbarkeit von ML
* High

### Beispiel
*Herstellung von Mischfuttermitteln:*
Wie der Name schon sagt, müssen bei der Herstellung von Mischfuttermitteln verschiedene Bestandteile zu einem Futter kombiniert werden, das alle Nährstoffe enthält, die das Vieh braucht. In einer Rezeptur können mehr als hundert verschiedene Zutaten verwendet werden, von Hauptbestandteilen wie Soja und Getreide bis hin zu Spurenmengen von Vitaminen und Aminosäuren. Diese werden dann in mehreren Produktionsschritten mit einer Vielzahl von Betriebsparametern verarbeitet. Ein Hersteller verfügte über Daten zu den Zutaten, den Prozessparametern, dem Energieverbrauch und den Qualitätsmaßnahmen für jede produzierte Charge.  Mithilfe von ML wurde ein Modell erstellt, mit dem sich Beziehungen zwischen all diesen Faktoren ableiten ließen. Anhand dieses Modells wurde dann eine Optimierung durchgeführt, um den Energieverbrauch durch Änderung der Betriebsparameter zu minimieren.
*Metallschneiden:*
Ein Hersteller, der in seiner Produktion in großem Umfang Schaft- und Planfräsen einsetzte, sammelte detaillierte Daten zum Stromverbrauch der Fräser, zur Schnittgeschwindigkeit, zum Vorschub sowie zur Schnitttiefe und -breite. Außerdem wurden Oberflächenqualität und Werkzeugstandzeit genau überwacht. In kontrollierten Versuchsläufen sammelten sie Daten zu verschiedenen Konfigurationen dieser Parameter. Der Vergleich der Ergebnisse zeigte, dass die Schnittgeschwindigkeit im Vergleich zu den derzeit verwendeten Werten erhöht werden konnte, ohne den Stromverbrauch wesentlich zu erhöhen oder die Oberflächenqualität zu verschlechtern, was zu Energieeinsparungen durch kürzere Bearbeitungszeiten führte.